import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, w = Object.getOwnPropertyDescriptor, c = (n, e, s, t) => {
  for (var r = t > 1 ? void 0 : t ? w(e, s) : e, p = n.length - 1, i; p >= 0; p--)
    (i = n[p]) && (r = (t ? i(e, s, r) : i(r)) || r);
  return t && r && m(e, s, r), r;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--arrowUp", this.class = "c-pieIcon c-pieIcon--arrowUp", this.name = "IconArrowUp";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--arrowUp"><path d="M8.656 14.125V3.931l3.29 3.29.928-.927L8.77 2.199a1.085 1.085 0 0 0-1.54 0L3.126 6.294l.928.927 3.29-3.29v10.194h1.312Z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  f("icon-arrow-up")
], o);
export {
  o as IconArrowUp
};
